
import pygame
import Image

def combine(file, alphafile):
    s1 = pygame.image.load(file)
    s2 = pygame.image.load(alphafile)

    a = pygame.surfarray.pixels_alpha(s1)
    a2 = pygame.surfarray.pixels2d(s2)
    a[...] = a2[...]
    return s1

def save(surf, filename):
    s = pygame.image.tostring(surf, "RGBA")
    i = Image.fromstring("RGBA", surf.get_size(), s)
    i.save(filename)

if __name__ == '__main__':
    import sys
##    src,alpha,dst = sys.argv[1:]
    for i in range(1,11):
        src = "gfx/tga/robot_arm%04i.tga" % i
        alpha = "gfx/tga/A_robot_arm%04i.tga" % i
        dst = "gfx/robot_arm%i.png" % i
        s = combine(src,alpha)
        save(s, dst)
    for i in range(1,11):
        src = "gfx/tga/robot_hand%04i.tga" % i
        alpha = "gfx/tga/A_robot_hand%04i.tga" % i
        dst = "gfx/robot_hand%i.png" % i
        s = combine(src,alpha)
        save(s, dst)
