
try:
    from psyco.classes import *
except ImportError:
    pass

import pygame
from pygext.gl.all import *
from steamer.config import Config

class Minimap(object):
    def __init__(self, land):
        w = len(land.segments)*128
        sh = Config.sky_height
        h = 550+sh
        self.wx = wx = w/195.0
        self.hx = hx = 50.0/h
    
        s = pygame.Surface((195,50),0,32)
        s.fill((0,80,0,255))
        px = pygame.surfarray.pixels2d(s)
        v = s.map_rgb((0,150,0))

        x = 0
        for i in range(195):
            h = land.get_h(int(x)) - 50
            h = 50-int(h*hx)
            px[i,h:] = v
            x += wx

        v = s.map_rgb((0,40,0))
        px[::,::2] = v
        del px

        self.entity = EntityNode(Bitmap(s,hotspot=(0,0)))
        self.entity.place("glass").set(left=290, bottom=600-19)

        self.point = Entity("gfx/point.png")
        self.point.set(
            scale = 1.5,
            color = (100,220,100,250),
            )
        self.point.do(AlphaFade(100, secs=0.3, mode=PingPongMode))
        self.point.attach_to(self.entity)
            
    def set(self, obj, cfg=Config):
        x = obj.x / self.wx
        y = (obj.y+cfg.sky_height) * self.hx
        self.point.set(x=x,y=y)
